Public Member Functions

# ComponentHandler Class Reference

A handler doing "something" on a link graph component. More...

`#include <linkgraph.h>`

Inheritance diagram for ComponentHandler:

## Public Member Functions
virtual | ~ComponentHandler ()
| Destroy the handler.
virtual void | Run (LinkGraphComponent *component)=0
| Run the handler.

## Detailed Description

A handler doing "something" on a link graph component.

It must not keep any state as it is called concurrently from different threads.

Definition at line 184 of file linkgraph.h.

## Constructor & Destructor Documentation

virtual ComponentHandler::~ComponentHandler | ( |  | ) | `[inline, virtual]`

Destroy the handler.

Must be given due to virtual Run.

Definition at line 189 of file linkgraph.h.

## Member Function Documentation

virtual void ComponentHandler::Run | ( | LinkGraphComponent * | component | ) | `[pure virtual]`

Run the handler.

A link graph handler must not read or write any data outside the given component as that would create a potential desync.

Parameters:

  | component | Link graph component to run the handler on.

Implemented in DemandHandler, FlowMapper, and MCFHandler< Tpass >.

The documentation for this class was generated from the following file:

- src/linkgraph/linkgraph.h